#!/usr/bin/awk -f

# Calculate sigma (for arbitrary resonance defined by p, q)
# from the follow2 output and output: t, e, sigma
# Miroslav Broz (miroslav.broz@email.cz), Dec 2nd 2002

BEGIN{
  PL=ARGV[1];
  TP=ARGV[2];
  p=ARGV[3]*1.;
  q=ARGV[4]*1.;
  ARGV[1]=ARGV[2]=ARGV[3]=ARGV[4]="";
}
($1==PL){
  lambda_PL=$6+$7+$8;
}
($1==TP){
  varpi_TP=$6+$7;
  lambda_TP=varpi_TP+$8;

# HA! teprve po roznasobeni q je kriticky uhel ve spravnem intervalu [0, 360 deg)
  print $2, $4, zero2pi((p+q)*lambda_PL - p*lambda_TP - q*varpi_TP, 360.);

}

func zero2pi(x,pi2, y) {
  y = frac(x/pi2)*pi2;
  if (y < 0.) { y = y + pi2; }
  return y;
}

func frac(x) {
  return (x - int(x));
}

