#!/usr/bin/awk -f

# Calculate a linear secular resonance argument
# (for given coefficients) from the follow2 output.
# Miroslav Broz (miroslav.broz@email.cz), Dec 2nd 2002

BEGIN{
  ID =ARGV[1];
  ID1=ARGV[2];
  ID2=ARGV[3];
  g =ARGV[4]*1.;
  g1=ARGV[5]*1.;
  g2=ARGV[6]*1.;
  s =ARGV[7]*1.;
  s1=ARGV[8]*1.;
  s2=ARGV[9]*1.;
  ARGV[1]=ARGV[2]=ARGV[3]=ARGV[4]=ARGV[5]=ARGV[6]=ARGV[7]=ARGV[8]=ARGV[9]="";
}
($1==ID1){
  varpi1=$6+$7;
  node1=$6;
}
($1==ID2){
  varpi2=$6+$7;
  node2=$6;
}
($1==ID){
  varpi=$6+$7;
  node=$6;

  print $2, zero2pi(g*varpi + s*node + g1*varpi1 + s1*node1 + g2*varpi2 + s2*node2, 360.);
}

func zero2pi(x,pi2, y) {
  y = frac(x/pi2)*pi2;
  if (y < 0.) { y = y + pi2; }
  return y;
}

func frac(x) {
  return (x - int(x));
}

